## htseq 1.99.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run doctest"

clean:
	-rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees _static
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."
	python add_counter.py

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p _build/json _build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."
	      
doctest:
	mkdir -p _build/doctest _build/doctrees
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo
	@echo "Doctest; look for any errors in the above output " \
	      "or in _build/doctest/output.txt."

=== doc/requirements.txt ===
docutils<0.18
sphinx_rtd_theme

## htseq 0.5.4p3

=== debian/changelog ===
htseq (0.5.4p3-2) unstable; urgency=low

  [ Andreas Tille ]
  * debian/control:
     - add myself to Uploaders
     - cme fix dpkg-control

  [ Diane Trout ]
  * build man pages in binary target and html pages in independent.
  * disable dh_sphinxinstall for binary build.
    Closes: #721780

 -- Diane Trout <diane@ghic.org>  Thu, 05 Sep 2013 10:02:53 -0700

htseq (0.5.4p3-1) unstable; urgency=low

  * Initial packaging (Closes: #718664)

 -- Diane Trout <diane@ghic.org>  Fri, 12 Jul 2013 14:03:21 -0700

=== debian/control ===
Source: htseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-setuptools (>= 0.6b3),
               python-all-dev (>= 2.6.5),
               python-sphinx,
               python-numpy (>= 1:1.3.0),
               swig,
               cython (>= 0.11)
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-htseq.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-htseq.git
Homepage: http://www-huber.embl.de/users/anders/HTSeq/doc/overview.html
X-Python-Version: >= 2.5

Package: python-htseq
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: high-throughput genome sequencing read analysis utilities
 HTSeq can be used to performing a number of common analysis tasks
 when working with high-throughput genome sequencing reads:
 .
   * Getting statistical summaries about the base-call quality scores to
     study the data quality.
   * Calculating a coverage vector and exporting it for visualization in
     a genome browser.
   * Reading in annotation data from a GFF file.
   * Assigning aligned reads from an RNA-Seq experiments to exons and
     genes.

Package: python-htseq-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: documetation for HTSeq (high-throughput genome sequencing)
 HTSeq can be used to performing a number of common analysis tasks
 when working with high-throughput genome sequencing reads.
 .
 This package contains documentation in HTML form.

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
PYTHON2=$(shell pyversions -vr)

# see https://wiki.debian.org/Python/LibraryStyleGuide
export http_proxy=http://127.0.9.1:9

%:
	dh $@ --with python2,sphinxdoc

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

override_dh_auto_build:
	make -C src
	python setup.py build
	# build the man pages for the binary package
	python setup.py build_sphinx -b man

override_dh_auto_install-indep:
	# build the html pages for the -doc package
	python setup.py build_sphinx -b html

override_dh_installchangelogs:
	dh_installchangelogs -k doc/history.rst

override_dh_sphinxdoc-arch:
	# dh_sphinxdoc doesn't fail silently when there are no docs

override_dh_auto_clean:
	make -C src clean
	rm -rf dist build MANIFEST
	rm -rf *.egg-info
	dh_auto_clean

# need an explicit clean target to deal with the file named clean
clean:
	dh $@ --with python2,sphinxdoc

.PHONY: clean

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/H/HTSeq/HTSeq-([0-9.p]*).tar.gz
#https://pypi.python.org/packages/source/H/HTSeq/HTSeq-0.5.4p3.tar.gz

## htseq 0.6.1p1

=== debian/changelog ===
htseq (0.6.1p1-4build1) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:31 +0000

htseq (0.6.1p1-4) unstable; urgency=medium

  * Tweak test for more architectures.
  * Use same repository name as source package name

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2015 12:19:39 +0100

htseq (0.6.1p1-3) unstable; urgency=medium

  * Really tweak the test result on architectures where the test
    is failing due to a wrong expected result
    Closes: #797793

 -- Andreas Tille <tille@debian.org>  Tue, 08 Dec 2015 15:04:19 +0100

htseq (0.6.1p1-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Add citation data
  * Tweak expected test result to build on i386
    Closes: #797793

  [ Afif Elghraoui ]
  * Add patch to allow compatibility with pysam 0.8.4

 -- Andreas Tille <tille@debian.org>  Tue, 08 Dec 2015 12:53:53 +0100

htseq (0.6.1p1-1) unstable; urgency=medium

  [ Diane Trout ]
  * Add get-orig-source to download from upstream svn.
    (upstream's release process deletes source files)
  * Add build-dependency on python-debian for get-orig-source
  * New upstream release.
  * Use upstream scripts to build and clean.
  * Try to delete generated test data and setup generated files.
  * Use dh_numpy to detect numpy abi version. (Closes: #742921)
  * add set-matplotlib-backend.patch to avoid a missing _TkAgg matplotlib
    backend.
  * Add build dependency on python-matplotlib and python-pysam (for testing)
  * Run upstream tests.

  [ Andreas Tille ]
  * At package build time some differences to the expected values are
    occuring.  Skip these tests for the moment.
  * cme fix dpkg-control
  * Fix watch file
  * DEP5 fixes
  * Fix sphinx 1.3 build issue
    Closes: #794277

 -- Andreas Tille <tille@debian.org>  Sun, 16 Aug 2015 12:01:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,18 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python-setuptools (>= 0.6b3),
-               python-all-dev (>= 2.6.5),
+               python-debian,
+               python-setuptools,
+               python-all-dev,
                python-sphinx,
-               python-numpy (>= 1:1.3.0),
+               python-numpy,
+               python-matplotlib,
+               python-pysam,
                swig,
-               cython (>= 0.11)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/python-htseq.git
-Vcs-Git: git://anonscm.debian.org/debian-med/python-htseq.git
+               cython
+Standards-Version: 3.9.6
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/htseq.git
+Vcs-Git: git://anonscm.debian.org/debian-med/htseq.git
 Homepage: http://www-huber.embl.de/users/anders/HTSeq/doc/overview.html
 X-Python-Version: >= 2.5
 
@@ -44,4 +47,3 @@
  when working with high-throughput genome sequencing reads.
  .
  This package contains documentation in HTML form.
-

=== debian/rules ===
#!/usr/bin/make -f

PKD := $(abspath $(dir $(MAKEFILE_LIST)))
PKG := $(shell python -c "from debian.changelog import Changelog; print(Changelog(open(\"$(PKD)/changelog\",'r')).package)")
UVER := $(shell python -c "from debian.changelog import Changelog; print(Changelog(open('$(PKD)/changelog','r')).upstream_version)")
DTYPE = +repack
VER ?= $(subst $(DTYPE),,$(UVER))

PYTHON2=$(shell pyversions -vr)

# see https://wiki.debian.org/Python/LibraryStyleGuide
export http_proxy=http://127.0.9.1:9

%:
	dh $@ --with python2,sphinxdoc

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	echo "testing on architecture $(DEB_HOST_ARCH_CPU)"
ifneq (,$(filter $(DEB_HOST_ARCH_CPU), i386 kfreebsd-i386 mips mipsel armel hurd-i386))
	echo "tweaking test result for architecture $(DEB_HOST_ARCH_CPU)"
	sed -i.bak 's/\(array(\[0, 0, 0, ..., 0, 0, 0\]\), dtype=int32/\1/' doc/tss.rst
endif
	python$* test/test.py
	python$* test/tss_test.py
	if [ -e doc/tss.rst.bak ] ; then mv doc/tss.rst.bak doc/tss.rst; fi

override_dh_auto_test: $(PYTHON2:%=test-python%)
endif

override_dh_auto_build:
	./build_it
	# build the man pages for the binary package
	python setup.py build_sphinx -b man

override_dh_auto_install-arch:
	dh_numpy
	dh_auto_install

override_dh_auto_install-indep:
	# build the html pages for the -doc package
	python setup.py build_sphinx -b html

override_dh_installchangelogs:
	dh_installchangelogs -k doc/history.rst

override_dh_sphinxdoc-arch:
	# dh_sphinxdoc doesn't fail silently when there are no docs

override_dh_auto_clean:
	./clean
	-rm -rf *.egg-info HTSeq/_version.py
	-rm example_data/minus.wig example_data/plus.wig
	-rm example_data/test.fa example_data/test.fq
	dh_auto_clean

# need an explicit clean target to deal with the file named clean
clean:
	dh $@ --with python2,sphinxdoc

get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz

UURL = http://svn.code.sf.net/p/htseq/code/tags/
$(PKG)_$(VER)$(DTYPE).orig.tar.xz: $(info I: VER=$(VER))
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	svn checkout --config-option config:miscellany:use-commit-times=yes \
	             $(UURL)/release_$(UVER) $(PKG)-$(VER) \
	|| $(RM) -r $(PKG)-$(VER)
	@echo "Clean-up..."
	cd $(PKG)-$(VER) \
	&& find . -depth -name ".svn" -exec $(RM) -r '{}' \;
	@echo "# Packing..."
	find -L $(PKG)-$(VER) -xdev -type f -print | sort | \
	XZ_OPT="-6v" tar caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
	&& $(RM) -r "$(PKG)-$(VER)"

.PHONY: clean get-orig-source

## htseq 0.9.1

=== debian/changelog ===
htseq (0.9.1-1) unstable; urgency=medium

  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * debian/rules
     - Remove unused get-orig-source target
     - There is no clean script any more so remove the specific targets
  * Sphinx doc does not seem to reported any more
  * Provide Python3 package
  * Binaries are provided in python3-htseq package
  * hardening=+all
  * Secure URI in watch file (pointing to new PyPi)
  * Testsuite: autopkgtest-pkg-python

 -- Andreas Tille <tille@debian.org>  Tue, 01 May 2018 11:29:55 +0200

## htseq 0.10.0

=== debian/changelog ===
htseq (0.10.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 17:26:34 +0200

=== debian/control ===
Source: htseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper (>= 11~),
               python-debian,
               python-setuptools,
               python-all-dev,
               python-numpy,
               python-matplotlib,
               python-pysam,
               python3-debian,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-matplotlib,
               python3-pysam,
               swig,
               cython,
               cython3
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/med-team/htseq
Vcs-Git: https://salsa.debian.org/med-team/htseq.git
Homepage: http://www-huber.embl.de/users/anders/HTSeq/doc/overview.html
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-htseq
Architecture: any
Depends: ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Description: Python high-throughput genome sequencing read analysis utilities
 HTSeq can be used to performing a number of common analysis tasks
 when working with high-throughput genome sequencing reads:
 .
   * Getting statistical summaries about the base-call quality scores to
     study the data quality.
   * Calculating a coverage vector and exporting it for visualization in
     a genome browser.
   * Reading in annotation data from a GFF file.
   * Assigning aligned reads from an RNA-Seq experiments to exons and
     genes.
 .
 This package contains the Python 2 module.

Package: python3-htseq
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: python-htseq (<= 0.9.1)
Provides: python-htseq
Description: Python3 high-throughput genome sequencing read analysis utilities
 HTSeq can be used to performing a number of common analysis tasks
 when working with high-throughput genome sequencing reads:
 .
   * Getting statistical summaries about the base-call quality scores to
     study the data quality.
   * Calculating a coverage vector and exporting it for visualization in
     a genome browser.
   * Reading in annotation data from a GFF file.
   * Assigning aligned reads from an RNA-Seq experiments to exons and
     genes.
 .
 This package contains the Python 3 module.

## htseq 0.11.2

=== debian/changelog ===
htseq (0.11.2-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:06 +0100

htseq (0.11.2-2) unstable; urgency=medium

  * Drop Python2 support
    targeting bug #936711
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Tue, 08 Oct 2019 16:53:00 +0200

htseq (0.11.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0
  * Secure URI in copyright format
  * Drop ancient X-Python-Version field

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 23:31:53 +0100

=== debian/control ===
Source: htseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Diane Trout <diane@ghic.org>,
           Andreas Tille <tille@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-debian,
               python3-setuptools,
               python3-all-dev,
               python3-numpy,
               python3-matplotlib,
               python3-pysam,
               swig,
               cython3
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/htseq
Vcs-Git: https://salsa.debian.org/med-team/htseq.git
Homepage: https://www-huber.embl.de/users/anders/HTSeq/doc/overview.html

Package: python3-htseq
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: python-htseq (<= 0.9.1)
Provides: python-htseq
Description: Python3 high-throughput genome sequencing read analysis utilities
 HTSeq can be used to performing a number of common analysis tasks
 when working with high-throughput genome sequencing reads:
 .
   * Getting statistical summaries about the base-call quality scores to
     study the data quality.
   * Calculating a coverage vector and exporting it for visualization in
     a genome browser.
   * Reading in annotation data from a GFF file.
   * Assigning aligned reads from an RNA-Seq experiments to exons and
     genes.
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=htseq

# see https://wiki.debian.org/Python/LibraryStyleGuide
export http_proxy=http://127.0.9.1:9

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	# setup.py creates some symlinks in clean target
	# remove these links to keep source tree clean
	for link in 'src' 'HTSeq' 'doc' 'scripts' 'test' ; do \
	  if [ -L $${link} ] ; then rm $${link} ; fi \
	done

## htseq 0.11.3

=== debian/changelog ===
htseq (0.11.3-1) unstable; urgency=medium

  * New upstream release
  * Update Standards-Version to 4.5.0. No changes needed.
  * Create working superficial autopkgtest.

 -- Diane Trout <diane@ghic.org>  Tue, 03 Mar 2020 21:27:57 -0800

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Diane Trout <diane@ghic.org>,
            Andreas Tille <tille@debian.org>
 Section: python
-Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -15,7 +14,7 @@
                python3-pysam,
                swig,
                cython3
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/htseq
 Vcs-Git: https://salsa.debian.org/med-team/htseq.git
 Homepage: https://www-huber.embl.de/users/anders/HTSeq/doc/overview.html

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -c "import HTSeq; print(HTSeq)"
 ; done
Depends: python3-all, python3-htseq
Restrictions: allow-stderr, superficial

## htseq 0.12.4

=== debian/changelog ===
htseq (0.12.4-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 14 Oct 2020 16:53:52 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-debian,
                python3-setuptools,
@@ -18,6 +18,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/htseq
 Vcs-Git: https://salsa.debian.org/med-team/htseq.git
 Homepage: https://www-huber.embl.de/users/anders/HTSeq/doc/overview.html
+Rules-Requires-Root: no
 
 Package: python3-htseq
 Architecture: any

## htseq 0.13.5

=== debian/changelog ===
htseq (0.13.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

  [ Juhani Numminen ]
  * Remove generated file src/Stepvector.py with debian/clean
  * Add Build-Depends 2to3 needed by setup.py
  * export CYTHON=cython3 so that setup.py can find the cython3 executable
  * Use autopkgtest-pkg-python to execute the same test that manually-written
    debian/tests/control did

 -- Andreas Tille <tille@debian.org>  Mon, 18 Jan 2021 11:21:51 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Uploaders: Diane Trout <diane@ghic.org>,
            Andreas Tille <tille@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: 2to3,
+               debhelper-compat (= 13),
                dh-python,
                python3-debian,
                python3-setuptools,
@@ -14,7 +16,7 @@
                python3-pysam,
                swig,
                cython3
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/htseq
 Vcs-Git: https://salsa.debian.org/med-team/htseq.git
 Homepage: https://www-huber.embl.de/users/anders/HTSeq/doc/overview.html

## htseq 1.99.2

=== debian/changelog ===
htseq (1.99.2-1build3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Mar 2023 07:22:10 +0000

htseq (1.99.2-1build2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 18:51:43 +0000

htseq (1.99.2-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 21:42:04 +0000

htseq (1.99.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 16 Jan 2022 18:57:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,9 @@
 export http_proxy=http://127.0.9.1:9
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+
+# for setup.py
+export CYTHON=cython3
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://pypi.python.org/pypi/HTSeq .*/HTSeq@ANY_VERSION@@ARCHIVE_EXT@

## htseq 2.0.5

=== debian/changelog ===
htseq (2.0.5-2) unstable; urgency=medium

  * Team upload.
  * Remove stale 2to3 dependency.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 14 Jun 2024 18:06:39 +0200

htseq (2.0.5-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Ensure proper numpy ABI
  * Fix clean target
    Closes: #1046620

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jan 2024 06:54:06 +0100

htseq (2.0.2-1) experimental; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jan 2023 21:59:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: 2to3,
-               debhelper-compat (= 13),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-debian,
                python3-setuptools,
                python3-all-dev,
@@ -16,7 +15,7 @@
                python3-pysam,
                swig,
                cython3
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/htseq
 Vcs-Git: https://salsa.debian.org/med-team/htseq.git
 Homepage: https://www-huber.embl.de/users/anders/HTSeq/doc/overview.html
@@ -27,7 +26,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Breaks: python-htseq (<= 0.9.1)
 Provides: python-htseq
 Description: Python3 high-throughput genome sequencing read analysis utilities
  HTSeq can be used to performing a number of common analysis tasks
@@ -40,5 +38,3 @@
    * Reading in annotation data from a GFF file.
    * Assigning aligned reads from an RNA-Seq experiments to exons and
      genes.
- .
- This package contains the Python 3 module.

## htseq 2.0.9%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pysam,
                swig,
                cython3
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/htseq
 Vcs-Git: https://salsa.debian.org/med-team/htseq.git
 Homepage: https://www-huber.embl.de/users/anders/HTSeq/doc/overview.html

## htseq 2.0.9+dfsg

=== requirements.txt ===
numpy
pysam

=== debian/changelog ===
htseq (2.0.9+dfsg-1build3) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 21 Oct 2025 10:17:38 +0000

htseq (2.0.9+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:49:51 +0000

htseq (2.0.9+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 30 Jan 2025 09:17:20 +0000

htseq (2.0.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix watch file
  * Fix Python3.12 string syntax
    Closes: #1085638
  * Exclude files via Files-Excluded instead of gbp.conf filter
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2024 17:53:44 +0100

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/htseq/htseq/tags (?:.*?/)?release_(\d[\d.]*)\.tar\.gz

# https://pypi.python.org/pypi/HTSeq .*/HTSeq@ANY_VERSION@@ARCHIVE_EXT@
